#!/bin/bash

port=$1
[ -z "$port" ] && port="8889"

ps -A | grep '\batk-server.pl\b' >/dev/null 2>&1 
if (( !$? ))
then
	echo "    Server is already running."
	exit 0
fi

cd `dirname $0`/../webui
mkdir -p /var/opt/lsb/app-testkit/manager/log >/dev/null 2>&1
./atk-server.pl $port >/var/opt/lsb/app-testkit/manager/log/atk-server.log.8889 2>&1 &
echo "    Server started. Log file location:"
echo "    /var/opt/lsb/app-testkit/manager/log/atk-server.log.8889"

exit 0
